<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: gmshtoucd Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="namespaces.html"><span>Namespace&nbsp;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>gmshtoucd Namespace Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegmshtoucd.html#a0e46ab32b2ad7911566353ac4f869e7d">readmesh</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegmshtoucd.html#a51edbb6500af1b05164cecb5e75f705f">bail</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegmshtoucd.html#a2ebadbc8e24fa0f396c534b63bfc1302">initialise_file</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegmshtoucd.html#afe46d94d6118bbc73f694e0e1904ddee">writeln</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegmshtoucd.html#afa7a5c0943712b0b7f09170ae2f7e62f">stamp</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61">info</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegmshtoucd.html#a236f16b4f0c25d8c6e098ad7468acca7">writeucd</a></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegmshtoucd.html#a1b6e9cd423c0f6fea9278e4f78e34446">VERSION</a> = &quot;0.1&quot;</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a51edbb6500af1b05164cecb5e75f705f"></a><!-- doxytag: member="gmshtoucd::bail" ref="a51edbb6500af1b05164cecb5e75f705f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gmshtoucd::bail </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>message</em> = <code>&quot;Sorry</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>I</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>don</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>understand</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>Bailing</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>out</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">A 'get-out' clause</pre></div> 
<p>Definition at line <a class="el" href="gmshtoucd_8py_source.html#l00172">172</a> of file <a class="el" href="gmshtoucd_8py_source.html">gmshtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="af68c1546c900f7a17a20835183320d61"></a><!-- doxytag: member="gmshtoucd::info" ref="af68c1546c900f7a17a20835183320d61" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gmshtoucd::info </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Output GPL details</pre></div> 
<p>Definition at line <a class="el" href="gmshtoucd_8py_source.html#l00202">202</a> of file <a class="el" href="gmshtoucd_8py_source.html">gmshtoucd.py</a>.</p>

<p>Referenced by <a class="el" href="barycent_8c_source.html#l00090">barycent()</a>, <a class="el" href="initinfo_8c_source.html#l00052">InitInfo()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="printmatinfo_8c_source.html#l00028">PrintMatInfo()</a>, and <a class="el" href="printmatinfo_8c_source.html#l00092">PrintMatInfoAll()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="namespacegmshtoucd_af68c1546c900f7a17a20835183320d61_icgraph.png" border="0" usemap="#namespacegmshtoucd_af68c1546c900f7a17a20835183320d61_icgraph_map" alt=""></div>
<map name="namespacegmshtoucd_af68c1546c900f7a17a20835183320d61_icgraph_map" id="namespacegmshtoucd_af68c1546c900f7a17a20835183320d61_icgraph">
<area shape="rect" id="node3" href="util_8h.html#aa40cad73c5d6c5669cc6e211b86e7367" title="barycent" alt="" coords="328,238,400,268"/><area shape="rect" id="node52" href="initinfo_8c.html#a25ee3bfa58a704838a8bc6309f083f5c" title="InitInfo" alt="" coords="184,703,245,734"/><area shape="rect" id="node57" href="myllgjacobian_8c.html#a35010647607c93a40bdab3e86041714f" title="myLLGJacobian" alt="" coords="885,642,1000,672"/><area shape="rect" id="node69" href="util_8h.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="168,395,261,426"/><area shape="rect" id="node71" href="util_8h.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="311,395,417,426"/><area shape="rect" id="node5" href="util_8h.html#a7613b5168812007047e19cf17cc3efa1" title="CalAfe2fe" alt="" coords="473,263,551,294"/><area shape="rect" id="node7" href="util_8h.html#ad3e7b439709d947546efecaf99da3759" title="CalAfe2sq" alt="" coords="755,191,837,222"/><area shape="rect" id="node47" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="468,159,556,190"/><area shape="rect" id="node9" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="892,188,993,219"/><area shape="rect" id="node42" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="895,132,991,163"/><area shape="rect" id="node11" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="1205,186,1291,216"/><area shape="rect" id="node13" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="1377,132,1447,163"/><area shape="rect" id="node15" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="1707,128,1845,159"/><area shape="rect" id="node17" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1895,335,1953,366"/><area shape="rect" id="node21" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1897,155,1951,186"/><area shape="rect" id="node24" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1712,335,1840,366"/><area shape="rect" id="node28" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="1555,491,1632,522"/><area shape="rect" id="node33" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1733,182,1819,212"/><area shape="rect" id="node37" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="1548,30,1639,60"/><area shape="rect" id="node19" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="2003,335,2053,366"/><area shape="rect" id="node30" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1713,491,1839,522"/><area shape="rect" id="node44" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="1209,132,1287,163"/><area shape="rect" id="node49" href="writedatadat_8c.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="621,127,691,158"/><area shape="rect" id="node54" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="1895,567,1953,598"/><area shape="rect" id="node59" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="1065,642,1135,672"/><area shape="rect" id="node66" href="precond_8c.html#a811a9e1276828ec4cf472f954d12b1fc" title="Precond_Init" alt="" coords="1201,694,1295,724"/><area shape="rect" id="node61" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1373,646,1451,676"/><area shape="rect" id="node63" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1528,646,1659,676"/><area shape="rect" id="node73" href="field_8h.html#acd4f9c6dd876dbb0affeca8be96ee4b4" title="BMatrix" alt="" coords="479,420,545,451"/><area shape="rect" id="node75" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="609,471,703,502"/><area shape="rect" id="node105" href="util_8h.html#a8f05188956349e674ebab809a737d8f4" title="CalAsq2fe" alt="" coords="471,316,553,347"/><area shape="rect" id="node108" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="605,524,707,555"/><area shape="rect" id="node77" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="761,471,831,502"/><area shape="rect" id="node79" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="920,523,965,554"/><area shape="rect" id="node95" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="1049,532,1151,563"/><area shape="rect" id="node81" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="1059,458,1141,488"/><area shape="rect" id="node85" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="1201,438,1295,468"/><area shape="rect" id="node88" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1365,438,1459,468"/><area shape="rect" id="node90" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1567,387,1620,418"/><area shape="rect" id="node97" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="1344,542,1480,572"/><area shape="rect" id="node110" href="hexch__ani_8c.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="759,524,833,555"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a2ebadbc8e24fa0f396c534b63bfc1302"></a><!-- doxytag: member="gmshtoucd::initialise_file" ref="a2ebadbc8e24fa0f396c534b63bfc1302" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gmshtoucd::initialise_file </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>file</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Attempt to remove the file first to avoid append issues</pre></div> 
<p>Definition at line <a class="el" href="gmshtoucd_8py_source.html#l00177">177</a> of file <a class="el" href="gmshtoucd_8py_source.html">gmshtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="a0e46ab32b2ad7911566353ac4f869e7d"></a><!-- doxytag: member="gmshtoucd::readmesh" ref="a0e46ab32b2ad7911566353ac4f869e7d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gmshtoucd::readmesh </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>filename</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">This will read the Gmsh mesh 'filename' and return
points, tetrahedra and triangles</pre></div> 
<p>Definition at line <a class="el" href="gmshtoucd_8py_source.html#l00033">33</a> of file <a class="el" href="gmshtoucd_8py_source.html">gmshtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="afa7a5c0943712b0b7f09170ae2f7e62f"></a><!-- doxytag: member="gmshtoucd::stamp" ref="afa7a5c0943712b0b7f09170ae2f7e62f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gmshtoucd::stamp </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Format a time and a date for stdout feedback</pre></div> 
<p>Definition at line <a class="el" href="gmshtoucd_8py_source.html#l00191">191</a> of file <a class="el" href="gmshtoucd_8py_source.html">gmshtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="afe46d94d6118bbc73f694e0e1904ddee"></a><!-- doxytag: member="gmshtoucd::writeln" ref="afe46d94d6118bbc73f694e0e1904ddee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gmshtoucd::writeln </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>file</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">One-shot file line append; this keeps the code terse</pre></div> 
<p>Definition at line <a class="el" href="gmshtoucd_8py_source.html#l00185">185</a> of file <a class="el" href="gmshtoucd_8py_source.html">gmshtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="a236f16b4f0c25d8c6e098ad7468acca7"></a><!-- doxytag: member="gmshtoucd::writeucd" ref="a236f16b4f0c25d8c6e098ad7468acca7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gmshtoucd::writeucd </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Call readmesh to read the Gmsh mesh, then convert and write the UCD mesh</pre></div> 
<p>Definition at line <a class="el" href="gmshtoucd_8py_source.html#l00209">209</a> of file <a class="el" href="gmshtoucd_8py_source.html">gmshtoucd.py</a>.</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="a1b6e9cd423c0f6fea9278e4f78e34446"></a><!-- doxytag: member="gmshtoucd::VERSION" ref="a1b6e9cd423c0f6fea9278e4f78e34446" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string <a class="el" href="namespacegmshtoucd.html#a1b6e9cd423c0f6fea9278e4f78e34446">gmshtoucd::VERSION</a> = &quot;0.1&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="gmshtoucd_8py_source.html#l00029">29</a> of file <a class="el" href="gmshtoucd_8py_source.html">gmshtoucd.py</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

